curl --request POST \
--url https://api.management.junction.com/v1/org/{org_id}/ehr_integration/create_dashboard_url \
--header 'Content-Type: application/json' \
--header 'X-Management-Key: <management-key>' \
--data '{
"integration_member_id": "user_456",
"integration_team_id": "clinic_123",
"modality": "feature_embed",
"feature": "order_creation",
"environment": "sandbox"
}'
{
"url": "<string>",
"expires_in": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Launch
Create Dashboard URL
Create a post-authorization URL that launches Junction Dashboard for a Junction Connect member.
POST
/
v1
/
org
/
{org_id}
/
ehr_integration
/
create_dashboard_url
curl --request POST \
--url https://api.management.junction.com/v1/org/{org_id}/ehr_integration/create_dashboard_url \
--header 'Content-Type: application/json' \
--header 'X-Management-Key: <management-key>' \
--data '{
"integration_member_id": "user_456",
"integration_team_id": "clinic_123",
"modality": "feature_embed",
"feature": "order_creation",
"environment": "sandbox"
}'
{
"url": "<string>",
"expires_in": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Junction Management API is available for the Scale plan.
The base URL of this endpoint is
https://api.management.junction.com/.The endpoint accepts only Management Key (X-Management-Key).
Team API Key is not accepted.curl --request POST \
--url https://api.management.junction.com/v1/org/{org_id}/ehr_integration/create_dashboard_url \
--header 'Content-Type: application/json' \
--header 'X-Management-Key: <management-key>' \
--data '{
"integration_member_id": "user_456",
"integration_team_id": "clinic_123",
"modality": "feature_embed",
"feature": "order_creation",
"environment": "sandbox"
}'
Authorizations
Path Parameters
Body
application/json
Available options:
feature_embed, link_out Available options:
production, sandbox Maximum string length:
256Maximum string length:
256Was this page helpful?